import type { Agent, ConnectionState, CredentialState, ProofState, ConnectionRecord, ProofRecord, CredentialRecord, BasicMessageRecord } from '@aries-framework/core';
import * as React from 'react';
interface AgentContextInterface {
    loading: boolean;
    agent?: Agent;
}
interface ConnectionContextInterface {
    loading: boolean;
    connections: ConnectionRecord[];
}
interface CredentialContextInterface {
    loading: boolean;
    credentials: CredentialRecord[];
}
export declare const useAgent: () => AgentContextInterface;
export declare const useConnections: () => ConnectionContextInterface;
export declare const useConnectionById: (id: string) => ConnectionRecord | undefined;
export declare const useConnectionByState: (state: ConnectionState) => ConnectionRecord[];
export declare const useCredentials: () => CredentialContextInterface;
export declare const useCredentialById: (id: string) => CredentialRecord | undefined;
export declare const useCredentialByState: (state: CredentialState) => CredentialRecord[];
export declare const useProofs: () => {
    proofs: ProofRecord[];
    loading: boolean;
};
export declare const useProofById: (id: string) => ProofRecord | undefined;
export declare const useProofByState: (state: ProofState) => ProofRecord[];
export declare const useBasicMessagesByConnectionId: (connectionId: string) => BasicMessageRecord[];
interface Props {
    agent: Agent | undefined;
}
declare const AgentProvider: React.FC<Props>;
export default AgentProvider;
